TADS Bug Database

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000235TADS 2Otherpublic2015-07-21 02:532015-08-06 02:40
Reporterron330 
Assigned ToMichael Roberts 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformpcOSwidowsOS Version8.1
Summary0000235: game crashes
Descriptioni have been playing ideal New England Prep School when i try to give tim the golden bracelet it automatically crashes. i am unable to prceed
Steps To Reproduceif i love my save file and type give bracelet to tim it'll crash everytime
Additional Informationenclosed is my save file for testing. it is right at the point ti occurs at just load the file and give bracelete to tim and it will crash.

also gives the following error in the crash
exc_handler = 005e7ce0
CS:EIP = 00000023:0058cd52
0058a520
00000000
00559950
773a74a0
77350225
TagsNo tags attached.
Fixed In Version2.5.18
Attached Files? file icon ron.sav [^] (13,839 bytes) 2015-07-21 02:53

- Relationships

-  Notes
(0000392)
Michael Roberts (administrator)
2015-08-05 20:10

Thanks for the clear and concise test case! I was able to confirm the problem and track it down and fix it.

The problem is triggered by an error in the game code that causes an unusual condition in the interpreter. The interpreter shouldn't crash, though, even when encountering a code error in a game, so this is definitely a bug in the interpreter.

I've made a change in the interpreter to fix the crash. This lets the game continue running past your test case. I'm not absolutely certain that this game as currently written will complete correctly with the interpreter fix in place, since there is that questionable code in the game itself, but I think the game code sort of accidentally works as long as the interpreter doesn't crash.
(0000393)
Michael Roberts (administrator)
2015-08-05 20:13

If you want to try out a patched version with the fix, I've uploaded a copy here:

http://www.tads.org/patch/htmltads-bug235.zip [^]

Just unzip that and replace the htmltads.exe in your current install directory with the one from the zip file.
(0000405)
ron330 (reporter)
2015-08-06 02:40

with the fix i was able to complete the game thanks for the help

- Issue History
Date Modified Username Field Change
2015-07-21 02:53 ron330 New Issue
2015-07-21 02:53 ron330 File Added: ron.sav
2015-08-05 20:10 Michael Roberts Fixed In Version => 2.5.18
2015-08-05 20:10 Michael Roberts Note Added: 0000392
2015-08-05 20:10 Michael Roberts Assigned To => Michael Roberts
2015-08-05 20:10 Michael Roberts Status new => resolved
2015-08-05 20:10 Michael Roberts Resolution open => fixed
2015-08-05 20:13 Michael Roberts Note Added: 0000393
2015-08-06 02:40 ron330 Note Added: 0000405


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker